package com.migao.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.migao.config.authority.AuthenticationProperties;
import com.migao.config.properties.SystemProperties;
import com.migao.entity.po.FileInfo;
import com.migao.mapper.FileInfoMapper;
import com.migao.service.FileService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

@Slf4j
@Service
@Transactional(rollbackFor = {Exception.class})
public class FileServiceImpl extends ServiceImpl<FileInfoMapper, FileInfo> implements FileService {

    @Resource
    private SystemProperties systemProperties;
    @Resource
    private FileInfoMapper fileInfoMapper;
    @Resource
    private AuthenticationProperties authenticationProperties;



}
